发 帖  
原厂入驻New
[问答] 如何将Vivado链接到Matlab?
229 matlab
分享
我安装了Vivado 2015.4和matlab 2014a版本。
在将matlab链接到系统生成器时,我得到了这个错误信息“无法配置matlab以使用vivado流。尝试以管理员身份运行系统生成器matlab配置器,看不会发生此问题”。
任何人都可以指导我如何克服这个问题。
0
2020-5-18 09:40:55   评论 分享淘帖 邀请回答
1个回答
检查工具版本https://www.xilinx.com/support/answers/55830.html您需要确保正确的环境设置。
您可以检查以下内容:•XILINX指向与SysGen版本匹配的有效Vivado安装•%XILINX%/ bin / nt和%XILINX%/ lib / nt都添加到PATH环境变量的开头。
此外,您可能将旧版本的vivado / ISE添加到PATH。
最好将预期版本保留在PATH上。
你的安装应该没问题。
建议始终启动(并告诉客户启动)使用System Generator Icon的MATLAB来设置环境:检查是否正确设置了matlab >> ver('MATLAB')----------
--------------------------------------------------
---------------------------------------- MATLAB版本:8.3.0.532(R2014a)MATLAB
许可证号:397944操作系统:Microsoft Windows 7企业版6.1(Build 7601:Service Pack 1)Java版本:Java 1.7.0_11-b21与Oracle Corporation Java HotSpot(TM)64位服务器VM混合模式------
--------------------------------------------------
-------------------------------------------- MATLAB版本8.3(R2014a)
>> xilinx.environment.getversion('sysgen')ans = 2015.3 >> xlSgRootxlSgRoot = D:\ Xilinx \ Vivado \ 2015.3 \ lib \ win64.o \ matlab \ sysgen.mexw64 >> dos('vivado -version')Vivado
v2015.3(64位)SW Build 1368829 on Sep Sep 28 20:06:43 MDT 2015IP Build 1367837 on Sep Sep 28 08:56:14 MDT 2015Copyright 1986-2015 Xilinx,Inc。保留所有权利.ans
= 0关于错误的库版本:您可以使用以下命令轻松检查Simulink Blockset库的Simulink版本:>> Simulink.MDLInfo('xbsIndex_r4.slx')ans =具有属性的MDLInfo:BlockDiagramName:'xbsIndex_r4'FileName
:'d:\ Xilinx \ Vivado \ 2015.3 \ scripts \ sysgen \ matlab \ xbsIndex_r4.slx'IsLibrary:1 SimulinkVersion:' - 1.0'ReleaseName:'R2015a'FileFormatMinorVersion:''ModelVersion:'1.7'LastModifiedBy:'dahlawat'描述
:''SavedCharacterEncoding:'US-ASCII'元数据:[]接口:[]
谢谢和RegardsBalkrishan -----------------------------------------------
---------------------------------------------请将帖子标记为
一个答案“接受为解决方案”,以防它有助于解决您的查询。如果一个帖子引导到解决方案,请给予赞誉。
2020-5-18 09:57:13 评论

举报

只有小组成员才能发言,加入小组>>

94个成员聚集在这个小组

加入小组

创建小组步骤

关闭

站长推荐 上一条 /7 下一条

快速回复 返回顶部 返回列表